Description

This expression doesn't work :

[% attribute(@atlas_feature, 'Pop_Dpt_INSEE_POP_06')%]

POP_06 is a joined field from Pop_Dpt_INSEE csv table.

By the way, it's weird that simple quotes are required for field names in attribute function instead of double quote.

As a result, double clicking on a field name to insert it doesn't work...

Associated revisions

Revision febe30d9 - 2016-05-02 04:03 AM - Nyall Dawson

[expressions] Fix fetching joined column refs when expression is

not prepared (fix #14746)

Revision dd4ae416 - 2016-05-16 08:28 AM - Nyall Dawson

[expressions] Fix fetching joined column refs when expression is

not prepared (fix #14746)

(cherry-picked from febe30d991111712f95a476e97862ca5a890b9aa)

History

#1 - 2016-04-29 08:12 AM - Jürgen Fischer

- Subject changed from Joined fields doesn't dispaly in atlas composer to Joined fields doesn't display in atlas composer

#2 - 2016-04-29 02:18 PM - Nyall Dawson

Your expression is wrong. Just use

[% "pop_DPT_insee_pop_06" %]

#3 - 2016-04-29 09:26 PM - Harrissou Santanna

Christophe Darmour wrote:

By the way, it's weird that simple quotes are required for field names in attribute function instead of double quote.
You'll find answers at the end of this discussion. However,

As a result, double clicking on a field name to insert it doesn't work..

seems a valid remark though it may not be easy to fix. Users can indeed be puzzled even though there's a help along the function. I think the QGIS doc

should be full of this kind of subtle usage to help user be really aware of them (and the potential of the expression builder).

#4 - 2016-04-30 01:01 AM - Christophe Damour

Thanks for the answers.

@Nyall : I tried with the field name alone, as you suggest, but it didn't work either. I also tried [% attribute($currentfeature, 'Pop_Dpt_INSEE_POP_06') %]

with no luck. However, it works perfectly for normal fields (not joined).

@Harissou : Explanations in the discussion you linked to make sense. They helped me to understand the syntax.

But then, if the way to go is the field name alone, what is the purpose of the attribute function ? Former versions compatibility ?

#5 - 2016-05-01 07:04 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"febe30d991111712f95a476e97862ca5a890b9aa".
http://osgeo-org.1560.x6.nabble.com/SQL-Expressions-td5190508.html

